- MongoDB C Driver 1.13.1 »
- Application Performance Monitoring (APM) »
- mongoc_apm_server_changed_t

# mongoc_apm_server_changed_get_new_description()

## Synopsis

    const mongoc_server_description_t *
    mongoc_apm_server_changed_get_new_description (
       const mongoc_apm_server_changed_t *event);

Returns this event’s new description. The data is only valid in the scope of the callback that receives this event; copy it if it will be accessed after the callback returns.

## Parameters

- `event`: A mongoc_apm_server_changed_t.

## Returns

A mongoc_server_description_t that should not be modified or freed.

## See Also

Introduction to Application Performance Monitoring

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.